Description
Document which VTY parameters become active immediately, and which require an OML re-start of the BTS.

Maybe we can even improve this to a point where we can apply OML changes to a BTS without a full re-connect, so that we don't
lose all current users.

Alternatively introduce a way where we can schedule a BTS re-start as soon as all active transactions are finished.

It might make sense if the information on 'when a change becomes active' was somehow explicit when using the VTY.

Related issues:
Related to OpenBSC - Bug #77: Fix/Define when VTY changes take effect Closed

History

#1 -10/11/2016 10:03 AM - laforge
- Related to Bug #77: Fix/Define when VTY changes take effect added

#2 - 11/09/2016 09:46 AM - laforge
- Assignee set to wirelesss

- Priority changed from Low to Normal

#3 -11/13/2016 01:16 PM - neels

- Description updated

#4 - 12/12/2016 05:52 PM - wirelesss

- Status changed from New to In Progress

#5 - 12/13/2016 06:09 PM - wirelesss
- % Done changed from 0 to 10

Reading

http://ftp.osmocom.org/docs/latest/osmaobts-abis.pdf
http:/ftp.osmocom.org/docs/latest/osmonitb-vty-reference.pdf
and 3GPP TS 12.21.

In any case, VTY parameters such as :
® network country code
¢ mobile network code
e arfcn

required an OML re-start.

#6 - 02/23/2017 08:19 PM - laforge

- Assignee deleted (wirelesss)

#7 - 12/10/2017 08:04 PM - laforge
- Project changed from OsmoNITB to OsmoBSC
